curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/assessment/{assessmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/assessment/{assessmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/assessment/{assessmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"assessment": {
"id": "60e9ca73c500a9001534ad84",
"name": "DISC"
}
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 404,
"error": {
"message": "(resource) not found",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Get Assessment by ID
Returns detailed information about the specified behavioral assessment, including its type, creation date, and whether it is required. Use this endpoint to learn more about a particular assessment available on your Profile account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the Assessment to retrieve
Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
HTTP status code of the successful response.
Always "success" for successful responses.
success Represents a behavioral assessment offered by Profile, such as DISC, Focus, or Core. Used to analyze leadership styles, teamwork preferences, and communication strengths.
Show child attributes
Show child attributes
Was this page helpful?